Bug 1303841 - Multipath disk should be recognized as /dev/mapper/* mode
Multipath disk should be recognized as /dev/mapper/* mode
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
3.5.7
Unspecified Unspecified
urgent Severity urgent
: ovirt-3.5.8
: ---
Assigned To: Douglas Schilling Landgraf
wanghui
: Regression, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 03:28 EST by wanghui
Modified: 2016-03-08 09:49 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 06:22:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wanghui 2016-02-02 03:28:52 EST
Description of problem:
The multipath disk should be recognized as /dev/mapper/* mode instead of /dev/sdx.

Version-Release number of selected component (if applicable):
rhev-hypervisor7-7.2-20160128.1.el6ev
ovirt-node-3.2.3-31.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install RHEV-H in TUI mode
2. Focus on boot disk page
3. Drop to shell to run#multipath -ll

Actual results:
1. After step2, the multipath disk has been recognized as /dev/sdx.
2. After step3, no output after run #multipath -ll.

Expected results:
1. The multipath disk should be recognized as /dev/mapper/* mode.

Additional info:
This issue is a regression from rhevh-7.2-20151218.1.el6ev.
Comment 1 Fabian Deutsch 2016-02-02 04:00:08 EST
In the build logs I see:

DEBUG util.py:257:  Error:  error: argument --module: invalid choice: multipath
DEBUG util.py:257:  (available: certificates, libvirt, sanlock, sebool)

This indicates that vdsm-tool was run during the build:

(ovirt-3.6) $ git grep -- --module
recipe/common-post.ks:vdsm-tool configure --module multipath --force

But vdsm-tool is only called in the 3.6 branch.

This indicates that the recipe was not clean when the iso was built.
Comment 6 wanghui 2016-02-03 04:40:31 EST
Hi Douglas,

The rhev-hypervisor7-7.2-20160202.1 works good to me, all the multipath disk is now recognized as /dev/mapper/* mode.
Comment 7 Fabian Deutsch 2016-02-03 06:22:24 EST
Closing this bug according to comment 6.

Note You need to log in before you can comment on or make changes to this bug.